# ``twisted`.`internet`.`epollreactor``

module documentation
(source)

An epoll() based implementation of the twisted main loop.

To install the event loop (and you should do this before any connections, listeners or connectors are added):

        from twisted.internet import epollreactor
        epollreactor.install()

Class | `EPollReactor` | A reactor that uses epoll(7).
Function | `install` | Install the epoll() reactor.
Constant | `EPOLLERR` | Undocumented
Constant | `EPOLLHUP` | Undocumented
Constant | `EPOLLIN` | Undocumented
Constant | `EPOLLOUT` | Undocumented
Variable | `epoll` | Undocumented

def install(): (source)
Install the epoll() reactor.
EPOLLERR = (source)

Undocumented

Value

    getattr(select, 'EPOLLERR')

EPOLLHUP = (source)

Undocumented

Value

    getattr(select, 'EPOLLHUP')

EPOLLIN = (source)

Undocumented

Value

    getattr(select, 'EPOLLIN')

EPOLLOUT = (source)

Undocumented

Value

    getattr(select, 'EPOLLOUT')

epoll = (source)

Undocumented